Recommended update for slms, slms_enablement_tools, rubygem-inifile

SUSE Recommended Update: Recommended update for slms, slms_enablement_tools, rubygem-inifile
Announcement ID: SUSE-RU-2019:13960-1
Rating: moderate
References: #1101504 #940792 #947225 #964717 #983406
Affected Products:
  • SUSE Lifecycle Management Server 1.3

An update that has 5 recommended fixes can now be installed.

Description:

This update for slms, slms_enablement_tools, rubygem-inifile provides the following fixes:
Fixes in slms:

  • Adapt to new yum updateinfo format. (bsc#1101504)
  • Read product name from Studio if it provides it. (bsc#947225)
  • Fixed some ruby warnings.

Fixes in slms_enablement_tools:
  • Fix a typo that was causing a crash. (bsc#983406)
  • Fix yaml dependencies. (bsc#964717, bsc#940792)

Fixes in rubygem-inifile:
  • Re-release the package available in SLMS repository to fix its availability on SUSE:SLE-11-SP2.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Lifecycle Management Server 1.3:
    zypper in -t patch sleslms13-slms-13960=1

Package List:

  • SUSE Lifecycle Management Server 1.3 (noarch):
    • slms-1.3.11-10.3.4
    • slms-core-1.3.11-10.3.4
    • slms-customer-center-1.3.11-10.3.4
    • slms-devel-doc-1.3.11-10.3.4
    • slms-external-1.3.11-10.3.4
    • slms-registration-1.3.11-10.3.4
    • slms-testsuite-1.3.11-10.3.4
  • SUSE Lifecycle Management Server 1.3 (x86_64):
    • rubygem-inifile-0.1.0-0.12.4.1
    • slms_enablement_tools-0.12.2-5.2.4

References: